Wallet
Company Account Asset (Multiple Currency)
POST
/
platformapi
/
chainup
/
open
/
wallet
/
v2
/
companyAsset
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/companyAsset
{
"code": "0",
"msg": "suc",
"data": [
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
},
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
}
]
}
Company account type description
| Type | Description |
|---|---|
| 113 | Company: recharging account of the administrator |
| 112 | Company: gift coin account |
| 105 | Company: Withdrawal Fee Income & Miner Fee Expense Account |
| 114 | Company: dividend return account |
| 116 | Company: lockup account |
| 130 | Company:Lock-up Token Distribution (Released to user’s lock-up)V2 |
| 121 | Company:IEO Income Account (Raising Income) |
| 122 | Company:IEO Spending Account (Released to user’s available) |
| 181 | Company: (Spot & Margin) Transaction Fee Income Account |
| 187 | Company: C2CTransaction Fee Income Account |
| 118 | Company: (Spot & Futures) Agent Rewards Account |
| 115 | Company: dividend account |
| 149 | Company: contract bonus expense / recovery account |
| 150 | Company: Financial account |
| 152 | Rewards account of invitation to register |
| 153 | Mortgage loan interest sharing account |
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
symbol
string
requiredChainUP symbol name
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/companyAsset
{
"code": "0",
"msg": "suc",
"data": [
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
},
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
}
]
}